---
tags:
  - Logbuch/{{date:MMMM}}
---
# {{date:dddd, D. MMMM YYYY}}

<< [[{{date-1d:YYYY-MM-DD}}]] | [[{{date:YYYY-[KW]WW}}|{{date:[KW]WW}}]] | [[{{date+1d:YYYY-MM-DD}}]] >>

*Der [[{{date-365d:YYYY-MM-DD}}|{{date:D. MMMM}}]] im Laufe der Jahre.*

> [!rot]- 💀 Memento mori
>```dataviewjs
>const today = DateTime.now('{{date:YYYY-MM-DD}}')
>const endOfYear = {
>year: today.year,
>}
>
>const lifespan = { year: 80 }
>const birthday = DateTime.fromObject({
>year: 1970,
>month: 1,
>day: 1
>});
>
>const deathday = birthday.plus(lifespan)
>function progress(type) {
>let value;
>switch(type) {
>case "lifespan":
>value = (today.year - birthday.year) / lifespan.year * 100;
>break;
>}
>
>return `<progress value="${parseInt(value)}" max="100"></progress> | ${parseInt(value)} %`
>
>}
>
>dv.span(`
>*Bereits vergangene Lebenszeit*: ${progress("lifespan")}
> `)
>
>```

>[!blaugrau]+ 💬 Zitat
>%%Zitat%%

> [!lila]+ ♻️ Routine
> - [ ] Yoga
> - [ ] Lesen

> [!gruen]+ 🗓️ Termine
>%%Ereignisse%%

> [!gruen]+ ✅ Aufgaben
> ```tasks
> (not done) OR (done on {{date:YYYY-MM-DD}})
> (due before {{date:YYYY-MM-DD}}) OR (due on {{date:YYYY-MM-DD}}) OR (scheduled before {{date:YYYY-MM-DD}}) OR (scheduled for {{date:YYYY-MM-DD}})
> sort by priority
> sort by due
> hide scheduled date
> hide due date
> hide done date
> ```

> [!blau]+ 📝 Notizen
>%%neuerEintrag%%

> [!gelb]+ 🔎 Reflexion
> - Wie war mein Tag?
> - Welche schlechte Angewohnheit habe ich heute (nicht) im Zaum gehalten?
> - Wie kann ich mich verbessern?

%%daten%%